Holger's Java API

## com.antelmann.ooffice
Enum PageOrientation

    java.lang.Object
      java.lang.Enum<PageOrientation>
          com.antelmann.ooffice.PageOrientation

All Implemented Interfaces:
  Serializable, Comparable<PageOrientation>

    public enum PageOrientation

extends Enum<PageOrientation>

Since:
  09.12.2010, 17:53:09
Author:
  holger

Enum Constant Summary
`LANDSCAPE`
`PORTRAIT`

Method Summary
`static PageOrientation` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static PageOrientation[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### PORTRAIT

    public static final PageOrientation PORTRAIT

### LANDSCAPE

    public static final PageOrientation LANDSCAPE

Method Detail

### values

    public static PageOrientation[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (PageOrientation c : PageOrientation.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static PageOrientation valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads